
Redmine - Patch #983

Get proper file action on revision on Mercurial

2008-04-03 05:13 - Wirianto Djunaidi

Status: Closed Start date: 2008-04-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.7   

Description

The patch is to allow getting proper Add/Modify/Delete action for Mercurial.

Current implementation just set it to 'X'.

The patch use call to hg status to get the information.

Associated revisions

Revision 1332 - 2008-04-06 14:00 - Jean-Philippe Lang

Mercurial: Get proper file action on revision (#983).

History

#1 - 2008-04-06 14:06 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7

Committed in r1332. Thanks.

I made a small change to fix changes for revision 0 since hg status --rev -1:0 won't list changes for revision 0.

Files

mercurial_adapter.diff 1.46 KB 2008-04-03 Wirianto Djunaidi
